import { PhysicalItemData } from "./base-item.mjs";
const fields = foundry.data.fields;

export default class ComputerData extends PhysicalItemData {
    static defineSchema() {
        const schema = super.defineSchema();
        schema.processing = new fields.NumberField({ required: false, initial: 0, min: 0, integer: true });
        schema.processingUsed = new fields.NumberField({ required: false, initial: 0, min: 0, integer: true });
        schema.overload = new fields.BooleanField({ required: false, initial: false });
        schema.options = new fields.ArrayField(
            new fields.SchemaField({
                name: new fields.StringField({ required: true, blank: true, trim: true }),
                description: new fields.StringField({ required: false, blank: true, trim: true })
            })
        );
        return schema;
    }
}
